### Method

# Aravis Device dup_available_enumeration_feature_values_as_display_names

since: 0.8.0

#### Declaration [src]

    const char**
    arv_device_dup_available_enumeration_feature_values_as_display_names (
      ArvDevice* device,
      const char* feature,
      guint* n_values,
      GError** error
    )

#### Description [src]

Get display names of all the available entries of `feature`.

Available since: 0.8.0

#### Parameters

`feature`

  Type: `const char*`

  Feature name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`n_values`

  Type: `guint*`

  Placeholder for the number of returned values.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A newly created array of const strings, to be freed after use using g_free, or `NULL` on error.

The length of the array is in the `n_values` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.